## javax.jbi.management
Interface ComponentLifeCycleMBean

All Superinterfaces:
  LifeCycleMBean

    public interface ComponentLifeCycleMBean

extends LifeCycleMBean

ComponentLifeCycleMBean defines the standard life cycle controls for JBI Installable Components.

- Initialize the component, preparing it to receive service requests.
- Start the component, allowing it to initiate service requests.
- Stop the component from initiating any more service requests.
- Shut down the component, returning it to the uninitialized state where it cannot receive service requests.
- Query the JMX object name of the extension MBean for the component.

Author:
  JSR208 Expert Group

Field Summary

Fields inherited from interface javax.jbi.management.LifeCycleMBean
`SHUTDOWN, STARTED, STOPPED, UNKNOWN`

Method Summary
`javax.management.ObjectName` `getExtensionMBeanName()` Get the JMX ObjectName for the life cycle extension MBean for this component.

Methods inherited from interface javax.jbi.management.LifeCycleMBean
`getCurrentState, shutDown, start, stop`

Method Detail

### getExtensionMBeanName

    javax.management.ObjectName getExtensionMBeanName()
                                                      throws JBIException

  Get the JMX ObjectName for the life cycle extension MBean for this component. If there is none, return `null`. Note that this MBean may serve as a container for multiple MBeans, as required by the component implementation.

  Returns:
    ObjectName the JMX object name of the additional MBean or `null` if there is no additional MBean.
  Throws:
    `JBIException` - if there is a failure getting component information for the component to which this life cycle applies.

${build-info}

${copyright}